<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Document</title>
</head>

<body>
<!-- У вас есть массив  оценок scoreArr. Выведите в консоль минимальную и максимальную оценки. -->
    <script>
        var scoreArr = [8, 6, 7, 11, 4, 12, 9, 10, 1];
        const minMaxArr = {}
        handler.apply(minMaxArr, scoreArr);
        console.log(minMaxArr);

        function handler (...param) {


            this.min = Math.min(...param)
            this.max = Math.max(...param)


            const minCounter = () => {
                let minParam  = param[0];
                for (let i = 0; i < param.length; i++){
                minParam > param[i] ? minParam = param[i] : minParam === minParam
                }
                return minParam
            }
            const maxCounter = () => {
                let maxParam  = param[0];
                for (let i = 0; i < param.length; i++){
                    maxParam < param[i] ? maxParam = param[i] : maxParam === maxParam
                }
                return maxParam
            }
            this.min = minCounter();
            this.max = maxCounter();
        }
    </script>
</body>
</html>
